{
    "name": "strimserve",
    "version": "0.0.1",
    "private": true,
    "scripts": {
        "dev": "vite dev",
        "build": "vite build && node ./scripts/create_media_symlink.js",
        "preview": "vite preview",
        "check": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json",
        "check:watch": "svelte-kit sync && svelte-check --tsconfig ./tsconfig.json --watch",
        "lint": "prettier --plugin-search-dir . --check . && eslint .",
        "format": "prettier --plugin-search-dir . --write .",
        "init_db": "cd db && node ./init_db.js",
        "update_db": "cd db && node ./update_db.js",
        "generate_iconfont_subset": "cd scripts && bash ./generate_iconfont_subset.sh"
    },
    "dependencies": {
        "@sveltejs/adapter-node": "^1.2.3",
        "@sveltejs/kit": "^1.5.0",
        "@types/better-sqlite3": "^7.6.4",
        "@types/node": "^20.3.1",
        "@typescript-eslint/eslint-plugin": "^5.45.0",
        "@typescript-eslint/parser": "^5.45.0",
        "better-sqlite3": "^8.3.0",
        "carta-md": "^3.4.0",
        "dotenv": "^16.3.1",
        "eslint": "^8.28.0",
        "eslint-config-prettier": "^8.5.0",
        "eslint-plugin-svelte": "^2.31.0",
        "fontkit": "^2.0.2",
        "isomorphic-dompurify": "^2.0.0",
        "prettier": "^2.8.0",
        "prettier-plugin-svelte": "^2.8.1",
        "sqids": "^0.3.0",
        "svelte": "^4.0.0",
        "svelte-check": "^3.0.1",
        "svelte-select": "^5.6.1",
        "tslib": "^2.4.1",
        "typescript": "^5.0.0",
        "vite": "^4.2.0"
    },
    "type": "module"
}
